=== debian/changelog ===
morfeusz (20110416-2) experimental; urgency=low

  * Don't use hardening-includes anymore.
  * Use CPPFLAGS from dpkg-buildflags.
  * Multi-archify:
    + Make morfeusz ‘Multi-Arch: same’.
    + Make libmorfeusz0 and libmorfeusz-dev ‘Multi-Arch: foreign’.
    + Add ‘Pre-Depends: ${misc:Pre-Depends}’ to libmorfeusz0.
    + Install shared libraries to /usr/lib/$(DEB_HOST_MULTIARCH) rather than
      /usr/lib.
    + Bump minimum required version of dpkg-dev to 1.16.
  * Add simple manual page.
    + Build-depend on python-docutils.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 27 Oct 2011 16:33:26 +0200

morfeusz (20110416-1) experimental; urgency=low

  * Initial release (closes: #625652).

 -- Jakub Wilk <jwilk@debian.org>  Mon, 15 Aug 2011 23:44:17 +0200
