=== debian/control ===
Source: morfeusz
Section: text
Priority: optional
Maintainer: Jakub Wilk <jwilk@debian.org>
Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.16), locales (>= 0),
 libreadline-dev, python-docutils (>= 0.6)
Standards-Version: 3.9.2
Homepage: http://sgjp.pl/morfeusz/

Package: libmorfeusz0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: morfeusz (<< 20110416)
Replaces: morfeusz (<< 20110416)
Description: morphological analyser of Polish (shared library)
 Lexeme is an abstract entity of language, a word in the dictionary sense. Word
 form is a word that has been interpreted — ascribed to a particular lexeme and
 described as for its grammatical function.
 .
 Morphological analysis consists in determining all forms of all lexemes for a
 particular word, that it is an exponent of. The context, in which the word has
 appeared, is not taken into consideration in this process.
 .
 Morfeusz carries out a morphological analysis for Polish.
 .
 This package includes the shared library.

Package: libmorfeusz-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libmorfeusz0 (= ${binary:Version})
Breaks: morfeusz (<< 20110416)
Replaces: morfeusz (<< 20110416)
Description: morphological analyser of Polish (development kit)
 Lexeme is an abstract entity of language, a word in the dictionary sense. Word
 form is a word that has been interpreted — ascribed to a particular lexeme and
 described as for its grammatical function.
 .
 Morphological analysis consists in determining all forms of all lexemes for a
 particular word, that it is an exponent of. The context, in which the word has
 appeared, is not taken into consideration in this process.
 .
 Morfeusz carries out a morphological analysis for Polish.
 .
 This package contains the static library and header files used in development.

Package: morfeusz
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: morphological analyser of Polish (command-line)
 Lexeme is an abstract entity of language, a word in the dictionary sense. Word
 form is a word that has been interpreted — ascribed to a particular lexeme and
 described as for its grammatical function.
 .
 Morphological analysis consists in determining all forms of all lexemes for a
 particular word, that it is an exponent of. The context, in which the word has
 appeared, is not taken into consideration in this process.
 .
 Morfeusz carries out a morphological analysis for Polish.
 .
 This package contains the command-line tool.
