=== debian/watch ===
version=3
http://sgjp.pl/morfeusz/dopobrania.html \
download/morfeusz-SGJP-src-([0-9]+)[.]tar[.]bz2
